
#ifndef  ICS2_RX66T_H
#define  ICS2_RX66T_H

#include <stdint.h>
                                      //T5211/T6211 /REL
#define   ICS_SCI1_PD3_PD5    (0x10)  // CN8   CN10  CN4 (E1)
#define   ICS_SCI5_PD7_PE0    (0x50)  // CN10  CN14      (E1)
#define   ICS_SCI5_PB5_PB6    (0x51)  // CN12  CN8   CN2
#define   ICS_SCI6_PB0_PB1    (0x60)  // CN9   CN5   CN6 (default)
#define   ICS_SCI8_PD0_PD1    (0x80)  // CN13  CN11
#define   ICS_SCI8_PC1_PC0    (0x81)  //       CN7
#define   ICS_SCI8_PA4_PA5    (0x82)  // CN6   CN6
#define   ICS_SCI8_P23_P22    (0x83)  // CN1   CN12
#define   ICS_SCI9_P01_P00    (0x90)  // CN11  CN15
#define   ICS_SCI9_PA3_PA2    (0x91)  // CN4   CN4
#define   ICS_SCI9_PG1_PG0    (0x92)  //       CN9
#define   ICS_SCI11_PD3_PD5   (0xB1)  // CN8   CN10
#define   ICS_SCI11_PB5_PB6   (0xB2)  // CN12  CN8
#define   ICS_SCI11_PA0_PA1   (0xB3)  // CN3   CN2
#define   ICS_SCI12_PB5_PB6   (0xC0)  // CN12  CN8
#define   ICS_SCI12_P23_P22   (0xC1)  // CN1   CN12
#define   ICS_SCI12_P01_P00   (0xC2)  // CN11  CN15



void     ics2_init(void * addr, uint8_t port, uint8_t level, uint8_t speed, uint8_t mode);
void     ics2_watchpoint(void);
uint32_t ics2_version(void);

void     ics_int_sci_rxi(void);

#endif  // ICS2_RX66T_H
